//Use this code to check that your capacitive sensor is working well
//This code includes the reading of touch values, a calibration, and a remap function

#include <CapacitiveSensor.h>


//Create Touch variables 
  long touchValue;
  int touchLow = 1023;
  int touchHigh = 0;

//Define capacitive Sensor 
  CapacitiveSensor capSensor = CapacitiveSensor(13, 12);
  


  
void setup() {
  Serial.begin(9600);
//First, you have 5 seconds to calibrate your values. Touch your plant to find the max and min value you can reach
  CalibrateTouchValues();

}


//FUNCTION////

//Touch calibration 
//Finds range of touch values to remap
void CalibrateTouchValues() {
  while(millis() < 5000) {
  long touchValue = capSensor.capacitiveSensor(30);
  if (touchValue > touchHigh) {
    touchHigh = touchValue;
  }
  if (touchValue < touchLow) {
    touchLow = touchValue;
  }
  }
}



void loop() {
 
 //Read capacitive sensor value
  
  long touchValue = capSensor.capacitiveSensor(30);
  
  //print value
  Serial.println(touchValue); Serial.println("touch value");


//Remap touch value 

  int touch = map(touchValue, touchLow, touchHigh, 0, 100);

  //print value
  Serial.println(touch); Serial.println("touch remap");
  Serial.println("................");
  delay(1000);

  
}
